## leptonlib 1.73

=== CMakeLists.txt ===
#
# leptonica
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)

# In-source builds are disabled.
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(leptonica C CXX)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 73)
set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR})

find_package(GIF)
find_package(JPEG)
find_package(PNG)
find_package(TIFF)
find_package(ZLIB)

find_package(PkgConfig)

if (PKG_CONFIG_FOUND)
pkg_check_modules(WEBP libwebp)
pkg_check_modules(JP2K libopenjp2)
endif()

###############################################################################
#
# compiler and linker
#
###############################################################################

set(LIBRARY_TYPE SHARED)
if (STATIC)
    set(LIBRARY_TYPE)
endif()

if (WIN32)
    if (MSVC)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W1")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_BINARY_DIR}/src/config_auto.h)

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR ${CMAKE_SOURCE_DIR}/src)

configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)

###############################################################################
#
# build
#
###############################################################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/src)

if (BUILD_PROG)
add_subdirectory(prog)
endif()

add_subdirectory(src)

###############################################################################

=== prog/CMakeLists.txt ===
########################################
# FUNCTION add_prog_target
########################################
function(add_prog_target target)
    set                             (${target}_src "${ARGN}")
    if (WIN32)
        set_source_files_properties (${${target}_src} PROPERTIES LANGUAGE CXX)
    endif()
    add_executable                  (${target} ${${target}_src})
    if (NOT STATIC)
        target_compile_definitions  (${target} PRIVATE -DLIBLEPT_IMPORTS)
    endif()
    target_link_libraries           (${target} leptonica)
    set_target_properties           (${target} PROPERTIES FOLDER prog)
endfunction(add_prog_target)
########################################

add_prog_target(adaptmaptest adaptmaptest.c)
add_prog_target(adaptmap_dark adaptmap_dark.c)
add_prog_target(adaptnorm_reg adaptnorm_reg.c)
add_prog_target(affine_reg affine_reg.c)
add_prog_target(alltests_reg alltests_reg.c)
add_prog_target(alphaops_reg alphaops_reg.c)
add_prog_target(alphaxform_reg alphaxform_reg.c)
add_prog_target(arabic_lines arabic_lines.c)
add_prog_target(arithtest arithtest.c)
add_prog_target(autogentest1 autogentest1.c)
add_prog_target(autogentest2 autogentest2.c autogen.137.c)
add_prog_target(barcodetest barcodetest.c)
add_prog_target(baselinetest baselinetest.c)
add_prog_target(bilateral1_reg bilateral1_reg.c)
add_prog_target(bilateral2_reg bilateral2_reg.c)
add_prog_target(bilinear_reg bilinear_reg.c)
add_prog_target(binarizefiles binarizefiles.c)
add_prog_target(binarize_reg binarize_reg.c)
add_prog_target(binarize_set binarize_set.c)
add_prog_target(bincompare bincompare.c)
add_prog_target(binmorph1_reg binmorph1_reg.c)
add_prog_target(binmorph2_reg binmorph2_reg.c)
add_prog_target(binmorph3_reg binmorph3_reg.c)
add_prog_target(binmorph4_reg binmorph4_reg.c)
add_prog_target(binmorph5_reg binmorph5_reg.c)
add_prog_target(blackwhite_reg blackwhite_reg.c)
add_prog_target(blend1_reg blend1_reg.c)
add_prog_target(blend2_reg blend2_reg.c)
add_prog_target(blend3_reg blend3_reg.c)
add_prog_target(blend4_reg blend4_reg.c)
add_prog_target(blendcmaptest blendcmaptest.c)
add_prog_target(boxa1_reg boxa1_reg.c)
add_prog_target(buffertest buffertest.c)
add_prog_target(byteatest byteatest.c)
add_prog_target(ccbordtest ccbordtest.c)
add_prog_target(cctest1 cctest1.c)
add_prog_target(ccthin1_reg ccthin1_reg.c)
add_prog_target(ccthin2_reg ccthin2_reg.c)
add_prog_target(cleanpdf cleanpdf.c)
add_prog_target(cmapquant_reg cmapquant_reg.c)
add_prog_target(colorcontent_reg colorcontent_reg.c)
add_prog_target(coloring_reg coloring_reg.c)
add_prog_target(colorize_reg colorize_reg.c)
add_prog_target(colormask_reg colormask_reg.c)
add_prog_target(colormorphtest colormorphtest.c)
add_prog_target(colorquant_reg colorquant_reg.c)
add_prog_target(colorsegtest colorsegtest.c)
add_prog_target(colorseg_reg colorseg_reg.c)
add_prog_target(colorspacetest colorspacetest.c)
add_prog_target(colorspace_reg colorspace_reg.c)
add_prog_target(comparepages comparepages.c)
add_prog_target(comparetest comparetest.c)
add_prog_target(compare_reg compare_reg.c)
add_prog_target(compfilter_reg compfilter_reg.c)
add_prog_target(concatpdf concatpdf.c)
add_prog_target(conncomp_reg conncomp_reg.c)
add_prog_target(contrasttest contrasttest.c)
add_prog_target(conversion_reg conversion_reg.c)
add_prog_target(convertfilestopdf convertfilestopdf.c)
add_prog_target(convertfilestops convertfilestops.c)
add_prog_target(convertformat convertformat.c)
add_prog_target(convertsegfilestopdf convertsegfilestopdf.c)
add_prog_target(convertsegfilestops convertsegfilestops.c)
add_prog_target(converttogray converttogray.c)
add_prog_target(converttopdf converttopdf.c)
add_prog_target(converttops converttops.c)
add_prog_target(convolvetest convolvetest.c)
add_prog_target(convolve_reg convolve_reg.c)
add_prog_target(cornertest cornertest.c)
add_prog_target(croptest croptest.c)
add_prog_target(croptext croptext.c)
add_prog_target(dewarprules dewarprules.c)
add_prog_target(dewarptest1 dewarptest1.c)
add_prog_target(dewarptest2 dewarptest2.c)
add_prog_target(dewarptest3 dewarptest3.c)
add_prog_target(dewarptest4 dewarptest4.c)
add_prog_target(dewarptest5 dewarptest5.c)
add_prog_target(dewarp_reg dewarp_reg.c)
add_prog_target(digitprep1 digitprep1.c)
add_prog_target(displayboxa displayboxa.c)
add_prog_target(displaypix displaypix.c)
add_prog_target(displaypixa displaypixa.c)
add_prog_target(distance_reg distance_reg.c)
add_prog_target(dithertest dithertest.c)
add_prog_target(dna_reg dna_reg.c)
add_prog_target(dwalineargen dwalineargen.c)
add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(edgetest edgetest.c)
add_prog_target(endiantest endiantest.c)
add_prog_target(enhance_reg enhance_reg.c)
add_prog_target(equal_reg equal_reg.c)
add_prog_target(expand_reg expand_reg.c)
add_prog_target(extrema_reg extrema_reg.c)
add_prog_target(falsecolortest falsecolortest.c)
add_prog_target(fcombautogen fcombautogen.c)
add_prog_target(fhmtautogen fhmtautogen.c)
add_prog_target(fhmtauto_reg fhmtauto_reg.c)
add_prog_target(fileinfo fileinfo.c)
add_prog_target(files_reg files_reg.c)
add_prog_target(findcorners_reg findcorners_reg.c)
add_prog_target(findpattern1 findpattern1.c)
add_prog_target(findpattern2 findpattern2.c)
add_prog_target(findpattern3 findpattern3.c)
add_prog_target(findpattern_reg findpattern_reg.c)
add_prog_target(flipdetect_reg flipdetect_reg.c)
add_prog_target(flipselgen flipselgen.c)
add_prog_target(fmorphautogen fmorphautogen.c)
add_prog_target(fmorphauto_reg fmorphauto_reg.c)
add_prog_target(fpix1_reg fpix1_reg.c)
add_prog_target(fpix2_reg fpix2_reg.c)
add_prog_target(fpixcontours fpixcontours.c)
add_prog_target(gammatest gammatest.c)
add_prog_target(genfonts_reg genfonts_reg.c)
add_prog_target(gifio_leaktest gifio_leaktest.c)
add_prog_target(gifio_reg gifio_reg.c)
add_prog_target(graphicstest graphicstest.c)
add_prog_target(grayfill_reg grayfill_reg.c)
add_prog_target(graymorph1_reg graymorph1_reg.c)
add_prog_target(graymorph2_reg graymorph2_reg.c)
add_prog_target(graymorphtest graymorphtest.c)
add_prog_target(grayquant_reg grayquant_reg.c)
add_prog_target(hardlight_reg hardlight_reg.c)
add_prog_target(hashtest hashtest.c)
add_prog_target(heap_reg heap_reg.c)
add_prog_target(histotest histotest.c)
add_prog_target(insert_reg insert_reg.c)
add_prog_target(ioformats_reg ioformats_reg.c)
add_prog_target(iotest iotest.c)
add_prog_target(italictest italictest.c)
add_prog_target(jbcorrelation jbcorrelation.c)
add_prog_target(jbrankhaus jbrankhaus.c)
add_prog_target(jbwords jbwords.c)
add_prog_target(jp2kio_reg jp2kio_reg.c)
add_prog_target(jpegio_reg jpegio_reg.c)
add_prog_target(kernel_reg kernel_reg.c)
add_prog_target(label_reg label_reg.c)
add_prog_target(lineremoval lineremoval.c)
add_prog_target(listtest listtest.c)
add_prog_target(livre_adapt livre_adapt.c)
add_prog_target(livre_hmt livre_hmt.c)
add_prog_target(livre_makefigs livre_makefigs.c)
add_prog_target(livre_orient livre_orient.c)
add_prog_target(livre_pageseg livre_pageseg.c)
add_prog_target(livre_seedgen livre_seedgen.c)
add_prog_target(livre_tophat livre_tophat.c)
add_prog_target(locminmax_reg locminmax_reg.c)
add_prog_target(logicops_reg logicops_reg.c)
add_prog_target(lowaccess_reg lowaccess_reg.c)
add_prog_target(maketile maketile.c)
add_prog_target(maptest maptest.c)
add_prog_target(maze_reg maze_reg.c)
add_prog_target(misctest1 misctest1.c)
add_prog_target(modifyhuesat modifyhuesat.c)
add_prog_target(morphseq_reg morphseq_reg.c)
add_prog_target(morphtest1 morphtest1.c)
add_prog_target(mtifftest mtifftest.c)
add_prog_target(multitype_reg multitype_reg.c)
add_prog_target(nearline_reg nearline_reg.c)
add_prog_target(newspaper_reg newspaper_reg.c)
add_prog_target(numa1_reg numa1_reg.c)
add_prog_target(numa2_reg numa2_reg.c)
add_prog_target(numaranktest numaranktest.c)
add_prog_target(otsutest1 otsutest1.c)
add_prog_target(otsutest2 otsutest2.c)
add_prog_target(overlap_reg overlap_reg.c)
add_prog_target(pagesegtest1 pagesegtest1.c)
add_prog_target(pagesegtest2 pagesegtest2.c)
add_prog_target(paintmask_reg paintmask_reg.c)
add_prog_target(paint_reg paint_reg.c)
add_prog_target(partitiontest partitiontest.c)
add_prog_target(pdfiotest pdfiotest.c)
add_prog_target(pdfseg_reg pdfseg_reg.c)
add_prog_target(percolatetest percolatetest.c)
add_prog_target(pixa1_reg pixa1_reg.c)
add_prog_target(pixa2_reg pixa2_reg.c)
add_prog_target(pixaatest pixaatest.c)
add_prog_target(pixadisp_reg pixadisp_reg.c)
add_prog_target(pixalloc_reg pixalloc_reg.c)
add_prog_target(pixcomp_reg pixcomp_reg.c)
add_prog_target(pixmem_reg pixmem_reg.c)
add_prog_target(pixserial_reg pixserial_reg.c)
add_prog_target(pixtile_reg pixtile_reg.c)
add_prog_target(plottest plottest.c)
add_prog_target(pngio_reg pngio_reg.c)
add_prog_target(pnmio_reg pnmio_reg.c)
add_prog_target(printimage printimage.c)
add_prog_target(printsplitimage printsplitimage.c)
add_prog_target(printtiff printtiff.c)
add_prog_target(projection_reg projection_reg.c)
add_prog_target(projective_reg projective_reg.c)
add_prog_target(psioseg_reg psioseg_reg.c)
add_prog_target(psio_reg psio_reg.c)
add_prog_target(pta_reg pta_reg.c)
add_prog_target(ptra1_reg ptra1_reg.c)
add_prog_target(ptra2_reg ptra2_reg.c)
add_prog_target(quadtreetest quadtreetest.c)
add_prog_target(rankbin_reg rankbin_reg.c)
add_prog_target(rankhisto_reg rankhisto_reg.c)
add_prog_target(ranktest ranktest.c)
add_prog_target(rank_reg rank_reg.c)
add_prog_target(rasteropip_reg rasteropip_reg.c)
add_prog_target(rasterop_reg rasterop_reg.c)
add_prog_target(rbtreetest rbtreetest.c)
add_prog_target(recog_bootnum recog_bootnum.c)
add_prog_target(recogsort recogsort.c)
add_prog_target(recogtest1 recogtest1.c)
add_prog_target(reducetest reducetest.c)
add_prog_target(removecmap removecmap.c)
add_prog_target(renderfonts renderfonts.c)
add_prog_target(rotate1_reg rotate1_reg.c)
add_prog_target(rotate2_reg rotate2_reg.c)
add_prog_target(rotatefastalt rotatefastalt.c)
add_prog_target(rotateorthtest1 rotateorthtest1.c)
add_prog_target(rotateorth_reg rotateorth_reg.c)
add_prog_target(rotatetest1 rotatetest1.c)
add_prog_target(runlengthtest runlengthtest.c)
add_prog_target(scaleandtile scaleandtile.c)
add_prog_target(scaletest1 scaletest1.c)
add_prog_target(scaletest2 scaletest2.c)
add_prog_target(scale_reg scale_reg.c)
add_prog_target(seedfilltest seedfilltest.c)
add_prog_target(seedspread_reg seedspread_reg.c)
add_prog_target(selio_reg selio_reg.c)
add_prog_target(settest settest.c)
add_prog_target(sharptest sharptest.c)
add_prog_target(shear1_reg shear1_reg.c)
add_prog_target(shear2_reg shear2_reg.c)
add_prog_target(sheartest sheartest.c)
add_prog_target(showedges showedges.c)
add_prog_target(skewtest skewtest.c)
add_prog_target(skew_reg skew_reg.c)
add_prog_target(smallpix_reg smallpix_reg.c)
add_prog_target(smoothedge_reg smoothedge_reg.c)
add_prog_target(snapcolortest snapcolortest.c)
add_prog_target(sorttest sorttest.c)
add_prog_target(splitcomp_reg splitcomp_reg.c)
add_prog_target(splitimage2pdf splitimage2pdf.c)
add_prog_target(string_reg string_reg.c)
add_prog_target(subpixel_reg subpixel_reg.c)
add_prog_target(sudokutest sudokutest.c)
add_prog_target(texturefill_reg texturefill_reg.c)
add_prog_target(threshnorm_reg threshnorm_reg.c)
add_prog_target(translate_reg translate_reg.c)
add_prog_target(trctest trctest.c)
add_prog_target(viewertest viewertest.c)
add_prog_target(warpertest warpertest.c)
add_prog_target(warper_reg warper_reg.c)
add_prog_target(watershedtest watershedtest.c)
add_prog_target(webpio_reg webpio_reg.c)
add_prog_target(wordboxes_reg wordboxes_reg.c)
add_prog_target(wordsinorder wordsinorder.c)
add_prog_target(writemtiff writemtiff.c)
add_prog_target(writetext_reg writetext_reg.c)
add_prog_target(xformbox_reg xformbox_reg.c)
add_prog_target(xtractprotos xtractprotos.c)
add_prog_target(yuvtest yuvtest.c)

=== src/CMakeLists.txt ===
#
# leptonica
#

################################################################################

########################################
# SHARED LIBRARY leptonica
########################################

set(leptonica_src
    adaptmap.c affine.c
    affinecompose.c arrayaccess.c
    bardecode.c baseline.c bbuffer.c
    bilateral.c bilinear.c binarize.c
    binexpand.c binreduce.c
    blend.c bmf.c bmpio.c bmpiostub.c bootnumgen1.c bootnumgen2.c
    boxbasic.c boxfunc1.c boxfunc2.c boxfunc3.c boxfunc4.c
    bytearray.c ccbord.c ccthin.c classapp.c
    colorcontent.c coloring.c
    colormap.c colormorph.c
    colorquant1.c colorquant2.c
    colorseg.c colorspace.c
    compare.c conncomp.c convertfiles.c
    convolve.c correlscore.c
    dewarp1.c dewarp2.c dewarp3.c dewarp4.c
    dnabasic.c dwacomb.2.c dwacomblow.2.c
    edge.c encoding.c enhance.c
    fhmtauto.c fhmtgen.1.c fhmtgenlow.1.c
    finditalic.c flipdetect.c fliphmtgen.c
    fmorphauto.c fmorphgen.1.c fmorphgenlow.1.c
    fpix1.c fpix2.c gifio.c gifiostub.c
    gplot.c graphics.c graymorph.c
    grayquant.c grayquantlow.c heap.c jbclass.c
    jp2kheader.c jp2kheaderstub.c
    jp2kio.c jp2kiostub.c jpegio.c jpegiostub.c
    kernel.c leptwin.c libversions.c list.c map.c maze.c
    morph.c morphapp.c morphdwa.c morphseq.c
    numabasic.c numafunc1.c numafunc2.c
    pageseg.c paintcmap.c
    parseprotos.c partition.c
    pdfio1.c pdfio1stub.c pdfio2.c pdfio2stub.c
    pix1.c pix2.c pix3.c pix4.c pix5.c
    pixabasic.c pixacc.c pixafunc1.c pixafunc2.c
    pixalloc.c pixarith.c pixcomp.c pixconv.c
    pixlabel.c pixtiling.c pngio.c pngiostub.c
    pnmio.c pnmiostub.c projective.c
    psio1.c psio1stub.c psio2.c psio2stub.c
    ptabasic.c ptafunc1.c ptra.c
    quadtree.c queue.c rank.c rbtree.c
    readbarcode.c readfile.c
    recogbasic.c recogdid.c recogident.c
    recogtrain.c regutils.c
    rop.c ropiplow.c roplow.c
    rotate.c rotateam.c rotateamlow.c
    rotateorth.c rotateshear.c
    runlength.c sarray.c
    scale.c scalelow.c
    seedfill.c seedfilllow.c
    sel1.c sel2.c selgen.c
    shear.c skew.c spixio.c
    stack.c stringcode.c sudoku.c textops.c
    tiffio.c tiffiostub.c
    utils.c viewfiles.c
    warper.c watershed.c
    webpio.c webpiostub.c
    writefile.c zlibmem.c zlibmemstub.c
)
if (WIN32)
set_source_files_properties(${leptonica_src} PROPERTIES LANGUAGE CXX)
endif()

set(leptonica_hdr
    allheaders.h alltypes.h
    array.h arrayaccess.h bbuffer.h bilateral.h
    bmf.h bmfdata.h bmp.h ccbord.h
    dewarp.h endianness.h environ.h
    gplot.h heap.h imageio.h jbclass.h
    leptwin.h list.h morph.h pix.h
    ptra.h queue.h rbtree.h readbarcode.h
    recog.h regutils.h stack.h
    stringcode.h sudoku.h watershed.h
)

add_library                     (leptonica ${LIBRARY_TYPE} ${leptonica_src} ${leptonica_hdr})
set_target_properties           (leptonica PROPERTIES OUTPUT_NAME lept${VERSION_MAJOR}${VERSION_MINOR})
set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME lept${VERSION_MAJOR}${VERSION_MINOR}d)
if (NOT STATIC)
    target_compile_definitions  (leptonica PRIVATE -DLIBLEPT_EXPORTS)
endif()
if (GIF_LIBRARY)
    target_link_libraries       (leptonica ${GIF_LIBRARY})
endif()
if (JPEG_LIBRARY)
    target_link_libraries       (leptonica ${JPEG_LIBRARY})
endif()
if (JP2K_FOUND)
    target_link_libraries       (leptonica ${JP2K_LIBRARIES})
endif()
if (PNG_LIBRARY)
    target_link_libraries       (leptonica ${PNG_LIBRARY})
endif()
if (TIFF_LIBRARY)
    target_link_libraries       (leptonica ${TIFF_LIBRARY})
endif()
if (WEBP_FOUND)
    target_link_libraries       (leptonica ${WEBP_LIBRARIES})
endif()
if (ZLIB_LIBRARY)
    target_link_libraries       (leptonica ${ZLIB_LIBRARY})
endif()
if (UNIX)
    target_link_libraries       (leptonica m)
endif()
export(TARGETS leptonica FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)

################################################################################

=== debian/changelog ===
leptonlib (1.73-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 Feb 2016 23:35:43 +0000

=== debian/control ===
Source: leptonlib
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf
Standards-Version: 3.9.6
Section: graphics

Package: libleptonica-dev
Section: libdevel
Architecture: any
Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: liblept5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libleptonica (>= 1.69~)
Replaces: libleptonica (>= 1.69~)
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: leptonica-progs
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample programs for Leptonica image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_autoreconf
	# Add here commands to compile the package.
	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	install -d $(CURDIR)/debian/tmp/usr/lib
	install -d $(CURDIR)/debian/tmp/usr/include/leptonica
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman -p leptonica-progs debian/leptonica.3
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## leptonlib 1.74.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,9 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 73)
-set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR})
+set(VERSION_MINOR 74)
+set(VERSION_PATCH 1)
+set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 find_package(GIF)
 find_package(JPEG)
@@ -55,6 +56,22 @@
 if (PKG_CONFIG_FOUND)
 pkg_check_modules(WEBP libwebp)
 pkg_check_modules(JP2K libopenjp2)
+endif()
+
+if(EXISTS ${PROJECT_SOURCE_DIR}/cppan)
+    add_subdirectory(cppan)
+
+    add_definitions(
+        -DHAVE_LIBGIF=1
+        -DHAVE_LIBJPEG=1
+        -DHAVE_LIBPNG=1
+        -DHAVE_LIBTIFF=1
+        -DHAVE_LIBWEBP=1
+        -DHAVE_LIBZ=1
+
+        -DHAVE_LIBJP2K=1
+        -DLIBJP2K_HEADER="openjpeg.h"
+    )
 endif()
 
 ###############################################################################
@@ -70,6 +87,7 @@
 
 if (WIN32)
     if (MSVC)
+        add_definitions(-D_CRT_SECURE_NO_WARNINGS)
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W1")
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
     endif()
@@ -88,7 +106,7 @@
 
 configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)
 
-set(INCLUDE_DIR ${CMAKE_SOURCE_DIR}/src)
+set(INCLUDE_DIR "${CMAKE_SOURCE_DIR}/src" "${CMAKE_CURRENT_BINARY_DIR}/src")
 
 configure_file(
     ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in

=== prog/CMakeLists.txt ===
########################################
# FUNCTION add_prog_target
########################################
function(add_prog_target target)
    set                             (${target}_src "${ARGN}")
    if (WIN32)
        set_source_files_properties (${${target}_src} PROPERTIES LANGUAGE CXX)
    endif()
    add_executable                  (${target} ${${target}_src})
    if (NOT STATIC)
        target_compile_definitions  (${target} PRIVATE -DLIBLEPT_IMPORTS)
    endif()
    target_link_libraries           (${target} leptonica)
    set_target_properties           (${target} PROPERTIES FOLDER prog)
endfunction(add_prog_target)
########################################

add_prog_target(adaptmap_reg adaptmap_reg.c)
add_prog_target(adaptnorm_reg adaptnorm_reg.c)
add_prog_target(affine_reg affine_reg.c)
add_prog_target(alltests_reg alltests_reg.c)
add_prog_target(alphaops_reg alphaops_reg.c)
add_prog_target(alphaxform_reg alphaxform_reg.c)
add_prog_target(bilateral1_reg bilateral1_reg.c)
add_prog_target(bilateral2_reg bilateral2_reg.c)
add_prog_target(bilinear_reg bilinear_reg.c)
add_prog_target(binarize_reg binarize_reg.c)
add_prog_target(binmorph1_reg binmorph1_reg.c)
add_prog_target(binmorph2_reg binmorph2_reg.c)
add_prog_target(binmorph3_reg binmorph3_reg.c)
add_prog_target(binmorph4_reg binmorph4_reg.c)
add_prog_target(binmorph5_reg binmorph5_reg.c)
add_prog_target(blackwhite_reg blackwhite_reg.c)
add_prog_target(blend1_reg blend1_reg.c)
add_prog_target(blend2_reg blend2_reg.c)
add_prog_target(blend3_reg blend3_reg.c)
add_prog_target(blend4_reg blend4_reg.c)
add_prog_target(boxa1_reg boxa1_reg.c)
add_prog_target(boxa2_reg boxa2_reg.c)
add_prog_target(ccthin1_reg ccthin1_reg.c)
add_prog_target(ccthin2_reg ccthin2_reg.c)
add_prog_target(cmapquant_reg cmapquant_reg.c)
add_prog_target(colorcontent_reg colorcontent_reg.c)
add_prog_target(coloring_reg coloring_reg.c)
add_prog_target(colorize_reg colorize_reg.c)
add_prog_target(colormask_reg colormask_reg.c)
add_prog_target(colormorph_reg colormorph_reg.c)
add_prog_target(colorquant_reg colorquant_reg.c)
add_prog_target(colorseg_reg colorseg_reg.c)
add_prog_target(colorspace_reg colorspace_reg.c)
add_prog_target(compare_reg compare_reg.c)
add_prog_target(compfilter_reg compfilter_reg.c)
add_prog_target(conncomp_reg conncomp_reg.c)
add_prog_target(conversion_reg conversion_reg.c)
add_prog_target(convolve_reg convolve_reg.c)
add_prog_target(dewarp_reg dewarp_reg.c)
add_prog_target(distance_reg distance_reg.c)
add_prog_target(dither_reg dither_reg.c)
add_prog_target(dna_reg dna_reg.c)
add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(edge_reg edge_reg.c)
add_prog_target(enhance_reg enhance_reg.c)
add_prog_target(equal_reg equal_reg.c)
add_prog_target(expand_reg expand_reg.c)
add_prog_target(extrema_reg extrema_reg.c)
add_prog_target(fhmtauto_reg fhmtauto_reg.c)
add_prog_target(files_reg files_reg.c)
add_prog_target(findcorners_reg findcorners_reg.c)
add_prog_target(findpattern_reg findpattern_reg.c)
add_prog_target(flipdetect_reg flipdetect_reg.c)
add_prog_target(fmorphauto_reg fmorphauto_reg.c)
add_prog_target(fpix1_reg fpix1_reg.c)
add_prog_target(fpix2_reg fpix2_reg.c)
add_prog_target(genfonts_reg genfonts_reg.c)
add_prog_target(gifio_reg gifio_reg.c)
add_prog_target(grayfill_reg grayfill_reg.c)
add_prog_target(graymorph1_reg graymorph1_reg.c)
add_prog_target(graymorph2_reg graymorph2_reg.c)
add_prog_target(grayquant_reg grayquant_reg.c)
add_prog_target(hardlight_reg hardlight_reg.c)
add_prog_target(heap_reg heap_reg.c)
add_prog_target(insert_reg insert_reg.c)
add_prog_target(ioformats_reg ioformats_reg.c)
add_prog_target(jbclass_reg jbclass_reg.c)
add_prog_target(jp2kio_reg jp2kio_reg.c)
add_prog_target(jpegio_reg jpegio_reg.c)
add_prog_target(kernel_reg kernel_reg.c)
add_prog_target(label_reg label_reg.c)
add_prog_target(lineremoval_reg lineremoval_reg.c)
add_prog_target(locminmax_reg locminmax_reg.c)
add_prog_target(logicops_reg logicops_reg.c)
add_prog_target(lowaccess_reg lowaccess_reg.c)
add_prog_target(maze_reg maze_reg.c)
add_prog_target(multitype_reg multitype_reg.c)
add_prog_target(nearline_reg nearline_reg.c)
add_prog_target(newspaper_reg newspaper_reg.c)
add_prog_target(numa1_reg numa1_reg.c)
add_prog_target(numa2_reg numa2_reg.c)
add_prog_target(overlap_reg overlap_reg.c)
add_prog_target(pageseg_reg pageseg_reg.c)
add_prog_target(paintmask_reg paintmask_reg.c)
add_prog_target(paint_reg paint_reg.c)
add_prog_target(pdfseg_reg pdfseg_reg.c)
add_prog_target(pixa1_reg pixa1_reg.c)
add_prog_target(pixa2_reg pixa2_reg.c)
add_prog_target(pixadisp_reg pixadisp_reg.c)
add_prog_target(pixalloc_reg pixalloc_reg.c)
add_prog_target(pixcomp_reg pixcomp_reg.c)
add_prog_target(pixmem_reg pixmem_reg.c)
add_prog_target(pixserial_reg pixserial_reg.c)
add_prog_target(pixtile_reg pixtile_reg.c)
add_prog_target(pngio_reg pngio_reg.c)
add_prog_target(pnmio_reg pnmio_reg.c)
add_prog_target(projection_reg projection_reg.c)
add_prog_target(projective_reg projective_reg.c)
add_prog_target(psioseg_reg psioseg_reg.c)
add_prog_target(psio_reg psio_reg.c)
add_prog_target(pta_reg pta_reg.c)
add_prog_target(ptra1_reg ptra1_reg.c)
add_prog_target(ptra2_reg ptra2_reg.c)
add_prog_target(rankbin_reg rankbin_reg.c)
add_prog_target(rankhisto_reg rankhisto_reg.c)
add_prog_target(rank_reg rank_reg.c)
add_prog_target(rasteropip_reg rasteropip_reg.c)
add_prog_target(rasterop_reg rasterop_reg.c)
add_prog_target(rotate1_reg rotate1_reg.c)
add_prog_target(rotate2_reg rotate2_reg.c)
add_prog_target(scale_reg scale_reg.c)
add_prog_target(selio_reg selio_reg.c)
add_prog_target(shear1_reg shear1_reg.c)
add_prog_target(shear2_reg shear2_reg.c)
add_prog_target(skew_reg skew_reg.c)
add_prog_target(smallpix_reg smallpix_reg.c)
add_prog_target(smoothedge_reg smoothedge_reg.c)
add_prog_target(splitcomp_reg splitcomp_reg.c)
add_prog_target(string_reg string_reg.c)
add_prog_target(subpixel_reg subpixel_reg.c)
add_prog_target(texturefill_reg texturefill_reg.c)
add_prog_target(threshnorm_reg threshnorm_reg.c)
add_prog_target(translate_reg translate_reg.c)
add_prog_target(warper_reg warper_reg.c)
add_prog_target(webpio_reg webpio_reg.c)
add_prog_target(wordboxes_reg wordboxes_reg.c)
add_prog_target(writetext_reg writetext_reg.c)
add_prog_target(xformbox_reg xformbox_reg.c)
add_prog_target(adaptmap_dark adaptmap_dark.c)
add_prog_target(arabic_lines arabic_lines.c)
add_prog_target(arithtest arithtest.c)
add_prog_target(autogentest1 autogentest1.c)
add_prog_target(autogentest2 autogentest2.c autogen.137.c)
add_prog_target(barcodetest barcodetest.c)
add_prog_target(baselinetest baselinetest.c)
add_prog_target(binarize_set binarize_set.c)
add_prog_target(binarizefiles binarizefiles.c)
add_prog_target(bincompare bincompare.c)
add_prog_target(blendcmaptest blendcmaptest.c)
add_prog_target(buffertest buffertest.c)
add_prog_target(byteatest byteatest.c)
add_prog_target(ccbordtest ccbordtest.c)
add_prog_target(cctest1 cctest1.c)
add_prog_target(cleanpdf cleanpdf.c)
add_prog_target(colorsegtest colorsegtest.c)
add_prog_target(comparepages comparepages.c)
add_prog_target(comparepixa comparepixa.c)
add_prog_target(comparetest comparetest.c)
add_prog_target(concatpdf concatpdf.c)
add_prog_target(contrasttest contrasttest.c)
add_prog_target(convertfilestopdf convertfilestopdf.c)
add_prog_target(convertfilestops convertfilestops.c)
add_prog_target(convertformat convertformat.c)
add_prog_target(convertsegfilestopdf convertsegfilestopdf.c)
add_prog_target(convertsegfilestops convertsegfilestops.c)
add_prog_target(converttogray converttogray.c)
add_prog_target(converttopdf converttopdf.c)
add_prog_target(converttops converttops.c)
add_prog_target(cornertest cornertest.c)
add_prog_target(croptest croptest.c)
add_prog_target(croptext croptext.c)
add_prog_target(dewarprules dewarprules.c)
add_prog_target(dewarptest1 dewarptest1.c)
add_prog_target(dewarptest2 dewarptest2.c)
add_prog_target(dewarptest3 dewarptest3.c)
add_prog_target(dewarptest4 dewarptest4.c)
add_prog_target(dewarptest5 dewarptest5.c)
add_prog_target(digitprep1 digitprep1.c)
add_prog_target(displayboxa displayboxa.c)
add_prog_target(displayboxes_on_pixa displayboxes_on_pixa.c)
add_prog_target(displaypix displaypix.c)
add_prog_target(displaypixa displaypixa.c)
add_prog_target(dwalineargen dwalineargen.c)
add_prog_target(falsecolortest falsecolortest.c)
add_prog_target(fcombautogen fcombautogen.c)
add_prog_target(fhmtautogen fhmtautogen.c)
add_prog_target(fileinfo fileinfo.c)
add_prog_target(findbinding findbinding.c)
add_prog_target(findpattern1 findpattern1.c)
add_prog_target(findpattern2 findpattern2.c)
add_prog_target(findpattern3 findpattern3.c)
add_prog_target(flipselgen flipselgen.c)
add_prog_target(fmorphautogen fmorphautogen.c)
add_prog_target(fpixcontours fpixcontours.c)
add_prog_target(gammatest gammatest.c)
add_prog_target(gifio_leaktest gifio_leaktest.c)
add_prog_target(graphicstest graphicstest.c)
add_prog_target(graymorphtest graymorphtest.c)
add_prog_target(hashtest hashtest.c)
add_prog_target(histotest histotest.c)
add_prog_target(htmlviewer htmlviewer.c)
add_prog_target(iotest iotest.c)
add_prog_target(italictest italictest.c)
add_prog_target(jbcorrelation jbcorrelation.c)
add_prog_target(jbrankhaus jbrankhaus.c)
add_prog_target(jbwords jbwords.c)
add_prog_target(listtest listtest.c)
add_prog_target(livre_adapt livre_adapt.c)
add_prog_target(livre_hmt livre_hmt.c)
add_prog_target(livre_makefigs livre_makefigs.c)
add_prog_target(livre_orient livre_orient.c)
add_prog_target(livre_pageseg livre_pageseg.c)
add_prog_target(livre_seedgen livre_seedgen.c)
add_prog_target(livre_tophat livre_tophat.c)
add_prog_target(maketile maketile.c)
add_prog_target(maptest maptest.c)
add_prog_target(misctest1 misctest1.c)
add_prog_target(modifyhuesat modifyhuesat.c)
add_prog_target(morphseq_reg morphseq_reg.c)
add_prog_target(morphtest1 morphtest1.c)
add_prog_target(mtifftest mtifftest.c)
add_prog_target(numaranktest numaranktest.c)
add_prog_target(otsutest1 otsutest1.c)
add_prog_target(otsutest2 otsutest2.c)
add_prog_target(pagesegtest1 pagesegtest1.c)
add_prog_target(pagesegtest2 pagesegtest2.c)
add_prog_target(partitiontest partitiontest.c)
add_prog_target(pdfiotest pdfiotest.c)
add_prog_target(percolatetest percolatetest.c)
add_prog_target(pixaatest pixaatest.c)
add_prog_target(pixafileinfo pixafileinfo.c)
add_prog_target(plottest plottest.c)
add_prog_target(printimage printimage.c)
add_prog_target(printsplitimage printsplitimage.c)
add_prog_target(printtiff printtiff.c)
add_prog_target(quadtreetest quadtreetest.c)
add_prog_target(rbtreetest rbtreetest.c)
add_prog_target(recog_bootnum recog_bootnum.c)
add_prog_target(recogsort recogsort.c)
add_prog_target(recogtest1 recogtest1.c)
add_prog_target(reducetest reducetest.c)
add_prog_target(removecmap removecmap.c)
add_prog_target(renderfonts renderfonts.c)
add_prog_target(rotatefastalt rotatefastalt.c)
add_prog_target(rotateorthtest1 rotateorthtest1.c)
add_prog_target(rotateorth_reg rotateorth_reg.c)
add_prog_target(rotatetest1 rotatetest1.c)
add_prog_target(runlengthtest runlengthtest.c)
add_prog_target(scaleandtile scaleandtile.c)
add_prog_target(scaletest1 scaletest1.c)
add_prog_target(scaletest2 scaletest2.c)
add_prog_target(seedfilltest seedfilltest.c)
add_prog_target(seedspread_reg seedspread_reg.c)
add_prog_target(settest settest.c)
add_prog_target(sharptest sharptest.c)
add_prog_target(sheartest sheartest.c)
add_prog_target(showedges showedges.c)
add_prog_target(skewtest skewtest.c)
add_prog_target(snapcolortest snapcolortest.c)
add_prog_target(sorttest sorttest.c)
add_prog_target(splitimage2pdf splitimage2pdf.c)
add_prog_target(sudokutest sudokutest.c)
add_prog_target(trctest trctest.c)
add_prog_target(warpertest warpertest.c)
add_prog_target(watershedtest watershedtest.c)
add_prog_target(wordsinorder wordsinorder.c)

=== src/CMakeLists.txt ===
#
# leptonica
#

################################################################################

########################################
# SHARED LIBRARY leptonica
########################################

file(GLOB hdr "*.h")
file(GLOB src "*.c")
if (MSVC)
    set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
endif()

add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES SOVERSION 5.1.0)
if (WIN32)
set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
endif()

if (NOT STATIC)
    target_compile_definitions  (leptonica PRIVATE -DLIBLEPT_EXPORTS)
endif()

if (GIF_LIBRARY)
    target_link_libraries       (leptonica ${GIF_LIBRARY})
endif()
if (JPEG_LIBRARY)
    target_link_libraries       (leptonica ${JPEG_LIBRARY})
endif()
if (JP2K_FOUND)
    target_link_libraries       (leptonica ${JP2K_LIBRARIES})
endif()
if (PNG_LIBRARY)
    target_link_libraries       (leptonica ${PNG_LIBRARY})
endif()
if (TIFF_LIBRARY)
    target_link_libraries       (leptonica ${TIFF_LIBRARY})
endif()
if (WEBP_FOUND)
    target_link_libraries       (leptonica ${WEBP_LIBRARIES})
endif()
if (ZLIB_LIBRARY)
    target_link_libraries       (leptonica ${ZLIB_LIBRARY})
endif()

if (UNIX)
    target_link_libraries       (leptonica m)
endif()

if (NOT CPPAN_BUILD)
    export(TARGETS leptonica FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
else()
    target_link_libraries       (leptonica cppan)
    file(WRITE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS leptonica APPEND FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
endif()

################################################################################

=== debian/changelog ===
leptonlib (1.74.1-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 24 Feb 2019 18:59:39 -0800

leptonlib (1.74.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 03 Jun 2018 12:31:17 +0800

leptonlib (1.74.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 03 Jan 2017 10:32:19 -0800

leptonlib (1.73-6) unstable; urgency=medium

  * move lept.pc to a multiarch location (closes: #841968)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 21 Dec 2016 09:28:19 -0800

leptonlib (1.73-5) unstable; urgency=medium

  * Remove some more problematic tempfilenames (closes: #830660)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 26 Jul 2016 09:58:34 -0700

leptonlib (1.73-4) unstable; urgency=medium

  * Remove unsafe programs from leptonica-progs (closes: #830660)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 22 Jul 2016 09:54:53 -0700

leptonlib (1.73-3) unstable; urgency=medium

  * Initial triage for tmpfile bug #830660

 -- Jeff Breidenbach <jab@debian.org>  Tue, 19 Jul 2016 19:40:25 +0000

leptonlib (1.73-2) unstable; urgency=medium

  * Bump debian standards version
  * Rebuild (closes: #822550)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 16 May 2016 17:30:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
 Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: graphics
 
 Package: libleptonica-dev

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to compile the package.
-	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
+	dh_auto_configure
 	$(MAKE)
 	touch build-stamp
 
@@ -71,3 +71,7 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
